Go to the latest version of this document.

# ``twisted`.`internet`.`interfaces`.`IOpenSSLClientConnectionCreator``

interface documentation

`class IOpenSSLClientConnectionCreator(Interface): (source)`

Known implementations: `twisted.internet._sslverify.ClientTLSOptions`, `twisted.protocols.tls._ContextFactoryToConnectionFactory`

View In Hierarchy

A provider of `IOpenSSLClientConnectionCreator` can create `OpenSSL.SSL.Connection` objects for TLS clients.

See Also
`twisted.internet.ssl`

Note
Creating OpenSSL connection objects is subtle, error-prone, and security-critical. Before implementing this interface yourself, consider using `twisted.internet.ssl.optionsForClientTLS` as your `contextFactory`.

Method | `clientConnectionForTLS` | Create a connection for the given client protocol.

def clientConnectionForTLS(tlsProtocol: `TLSMemoryBIOProtocol`) -> `OpenSSLConnection`: (source)

Create a connection for the given client protocol.

Parameters
tlsProtocol:`TLSMemoryBIOProtocol` | the client protocol making the request.

Returns
`OpenSSLConnection` | an OpenSSL connection object configured appropriately for the given Twisted protocol.